<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::powerNum Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">1.1.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespaces.html"><span>Namespace&#160;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1power_num.html">powerNum</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">units::powerNum Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers representing power values  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">Units (full names plural)</div></td></tr>
<tr class="memitem:a048d6255a3155bec9b2029360ee568b1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a048d6255a3155bec9b2029360ee568b1"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>watts</b> = <a class="el" href="structunits_1_1unit.html">unit</a>&lt; std::ratio&lt; 1 &gt;, <a class="el" href="structunits_1_1base__unit.html">category::power_unit</a> &gt;</td></tr>
<tr class="separator:a048d6255a3155bec9b2029360ee568b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f0b584d41ca9739161b87bb78077092"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f0b584d41ca9739161b87bb78077092"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>nanowatts</b> = <a class="el" href="group___unit_manipulators.html#ga1c25c3c1d6c1f3aed3fd1ecf043110d5">nano</a>&lt; <a class="el" href="structunits_1_1unit.html">watts</a> &gt;</td></tr>
<tr class="separator:a8f0b584d41ca9739161b87bb78077092"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa51014b3687ae862eebf611c02c7f4dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa51014b3687ae862eebf611c02c7f4dd"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>microwatts</b> = <a class="el" href="group___unit_manipulators.html#gaea53c906ec805110b93f02db4a961971">micro</a>&lt; <a class="el" href="structunits_1_1unit.html">watts</a> &gt;</td></tr>
<tr class="separator:aa51014b3687ae862eebf611c02c7f4dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9c742ff2d81ec5bf215ac474493a607"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9c742ff2d81ec5bf215ac474493a607"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>milliwatts</b> = <a class="el" href="group___unit_manipulators.html#gaec9d1c320e180eb59f3cb3094d8079dd">milli</a>&lt; <a class="el" href="structunits_1_1unit.html">watts</a> &gt;</td></tr>
<tr class="separator:aa9c742ff2d81ec5bf215ac474493a607"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12c1db2a9a01b40f9c97cd056339ba8c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12c1db2a9a01b40f9c97cd056339ba8c"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>kilowatts</b> = <a class="el" href="group___unit_manipulators.html#ga89965a45aaa6689548b9c53858759c5e">kilo</a>&lt; <a class="el" href="structunits_1_1unit.html">watts</a> &gt;</td></tr>
<tr class="separator:a12c1db2a9a01b40f9c97cd056339ba8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab69712b49f86fb63a7a6bfc972893b89"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab69712b49f86fb63a7a6bfc972893b89"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>megawatts</b> = <a class="el" href="group___unit_manipulators.html#gab1e685fcf4dd9478ed3d688f7af50842">mega</a>&lt; <a class="el" href="structunits_1_1unit.html">watts</a> &gt;</td></tr>
<tr class="separator:ab69712b49f86fb63a7a6bfc972893b89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a434387edf9aebf02d8b5b9c406f4c97e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a434387edf9aebf02d8b5b9c406f4c97e"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>gigawatts</b> = <a class="el" href="group___unit_manipulators.html#ga4595911f659ef61133216da15d61eb07">giga</a>&lt; <a class="el" href="structunits_1_1unit.html">watts</a> &gt;</td></tr>
<tr class="separator:a434387edf9aebf02d8b5b9c406f4c97e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f07f9e64cceef49316ea65ed5b1920f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f07f9e64cceef49316ea65ed5b1920f"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>horsepower</b> = <a class="el" href="structunits_1_1unit.html">unit</a>&lt; std::ratio&lt; 7457, 10 &gt;, <a class="el" href="structunits_1_1unit.html">watts</a> &gt;</td></tr>
<tr class="separator:a6f07f9e64cceef49316ea65ed5b1920f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Units (full names singular)</div></td></tr>
<tr class="memitem:a15bad1d87f2cfa8cd8b9428afde61836"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15bad1d87f2cfa8cd8b9428afde61836"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>watt</b> = <a class="el" href="structunits_1_1unit.html">watts</a></td></tr>
<tr class="separator:a15bad1d87f2cfa8cd8b9428afde61836"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a537219a6baed88b6efcec3d3ac1f6e92"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a537219a6baed88b6efcec3d3ac1f6e92"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>nanowatt</b> = nanowatts</td></tr>
<tr class="separator:a537219a6baed88b6efcec3d3ac1f6e92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26a928ebf3c26e4d2fe282d13bfee9ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a26a928ebf3c26e4d2fe282d13bfee9ba"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>microwatt</b> = microwatts</td></tr>
<tr class="separator:a26a928ebf3c26e4d2fe282d13bfee9ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac564f6fe64748c6ee18ecf1844f44271"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac564f6fe64748c6ee18ecf1844f44271"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>milliwatt</b> = milliwatts</td></tr>
<tr class="separator:ac564f6fe64748c6ee18ecf1844f44271"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea9ced37b64e64459f9c9c28ee7d74d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea9ced37b64e64459f9c9c28ee7d74d1"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>kilwatt</b> = kilowatts</td></tr>
<tr class="separator:aea9ced37b64e64459f9c9c28ee7d74d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fb414e95ea06aa9e2698d98051c2425"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1fb414e95ea06aa9e2698d98051c2425"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>megawatt</b> = megawatts</td></tr>
<tr class="separator:a1fb414e95ea06aa9e2698d98051c2425"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01b82f8508bdb04871606ce07aeffacb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a01b82f8508bdb04871606ce07aeffacb"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>gigawatt</b> = gigawatts</td></tr>
<tr class="separator:a01b82f8508bdb04871606ce07aeffacb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Units (abbreviated names)</div></td></tr>
<tr class="memitem:a990a095372dbd3af6be8f389ba694231"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a990a095372dbd3af6be8f389ba694231"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>W</b> = <a class="el" href="structunits_1_1unit.html">watts</a></td></tr>
<tr class="separator:a990a095372dbd3af6be8f389ba694231"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88f2a7f594af44258fbd66e60188b1f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a88f2a7f594af44258fbd66e60188b1f7"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>nW</b> = nanowatts</td></tr>
<tr class="separator:a88f2a7f594af44258fbd66e60188b1f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ea8fb29237e2e21670e999e7da94b02"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ea8fb29237e2e21670e999e7da94b02"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>uW</b> = microwatts</td></tr>
<tr class="separator:a4ea8fb29237e2e21670e999e7da94b02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d19c6c03c6d9d6916061d74a15e14a2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9d19c6c03c6d9d6916061d74a15e14a2"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>mW</b> = milliwatts</td></tr>
<tr class="separator:a9d19c6c03c6d9d6916061d74a15e14a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d141d30c9e2080a538f0f7a58ae455d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d141d30c9e2080a538f0f7a58ae455d"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>kW</b> = kilowatts</td></tr>
<tr class="separator:a1d141d30c9e2080a538f0f7a58ae455d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a366563c209162acfb594bd2c982623a6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a366563c209162acfb594bd2c982623a6"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>MW</b> = megawatts</td></tr>
<tr class="separator:a366563c209162acfb594bd2c982623a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b7e622f2c2a228b327c15ffcfefee2e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b7e622f2c2a228b327c15ffcfefee2e"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>GW</b> = gigawatts</td></tr>
<tr class="separator:a0b7e622f2c2a228b327c15ffcfefee2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac356ba586270ea8747981179be3dbd6a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac356ba586270ea8747981179be3dbd6a"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>hp</b> = <a class="el" href="structunits_1_1unit.html">horsepower</a></td></tr>
<tr class="separator:ac356ba586270ea8747981179be3dbd6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Unit Containers</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="powerContainers"></a></p>
</div></td></tr>
<tr class="memitem:a19a7b1c90198c4d29ca699bf85fca581"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19a7b1c90198c4d29ca699bf85fca581"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>watt_t</b> = <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="structunits_1_1unit.html">watt</a> &gt;</td></tr>
<tr class="separator:a19a7b1c90198c4d29ca699bf85fca581"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0618abd7429a0bae9205abc25aa844dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0618abd7429a0bae9205abc25aa844dc"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>nanowatt_t</b> = <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; nanowatt &gt;</td></tr>
<tr class="separator:a0618abd7429a0bae9205abc25aa844dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0e030b86e16f97a67ed6d7f5f844a27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae0e030b86e16f97a67ed6d7f5f844a27"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>microwatt_t</b> = <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; microwatt &gt;</td></tr>
<tr class="separator:ae0e030b86e16f97a67ed6d7f5f844a27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0fbfdc203a2cf59ec6c1ccd3816887a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab0fbfdc203a2cf59ec6c1ccd3816887a"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>milliwatt_t</b> = <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; milliwatt &gt;</td></tr>
<tr class="separator:ab0fbfdc203a2cf59ec6c1ccd3816887a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac94c28929f3a070c3b4c3b31e7936f1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac94c28929f3a070c3b4c3b31e7936f1b"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>kilwatt_t</b> = <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; kilwatt &gt;</td></tr>
<tr class="separator:ac94c28929f3a070c3b4c3b31e7936f1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8debf48837b2b164356bbe6fe7d547f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8debf48837b2b164356bbe6fe7d547f1"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>megawatt_t</b> = <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; megawatt &gt;</td></tr>
<tr class="separator:a8debf48837b2b164356bbe6fe7d547f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5681afbc86f7524576345ce18c77957e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5681afbc86f7524576345ce18c77957e"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>gigawatt_t</b> = <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; gigawatt &gt;</td></tr>
<tr class="separator:a5681afbc86f7524576345ce18c77957e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2adcf801b3317597f0fbab6e9838f95a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2adcf801b3317597f0fbab6e9838f95a"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>dBW_t</b> = <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="structunits_1_1unit.html">watt</a>, double, <a class="el" href="structunits_1_1decibel__scale.html">decibel_scale</a> &gt;</td></tr>
<tr class="separator:a2adcf801b3317597f0fbab6e9838f95a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92aa761b3f6568f527b6fbd374038f45"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92aa761b3f6568f527b6fbd374038f45"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>dBm_t</b> = <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; milliwatt, double, <a class="el" href="structunits_1_1decibel__scale.html">decibel_scale</a> &gt;</td></tr>
<tr class="separator:a92aa761b3f6568f527b6fbd374038f45"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers representing power values </p>
<p>The SI unit for power is <code>watts</code>, and the corresponding <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types. ">base_unit</a></code> category is <code>power_unit</code>. </p><dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit. ">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit. ">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sun Apr 3 2016 13:39:43 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
